تخطَّ إلى المحتوى

SCIM 2.0

SCIM 2.0 service provider for user and group provisioning from your identity provider.

GET /scim/v2/ServiceProviderConfig

المصادقة: لا يوجد: تتم مصادقة الطلب بالتوقيع الموضح أعلاه.

الحالة الوصف
200 Capabilities of the SCIM service.

مثال 200

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig"
],
"patch": {
"supported": true
},
"bulk": {
"supported": false,
"maxOperations": 0,
"maxPayloadSize": 0
},
"filter": {
"supported": true,
"maxResults": 200
},
"changePassword": {
"supported": false
},
"sort": {
"supported": true
},
"etag": {
"supported": false
},
"authenticationSchemes": [
{
"type": "oauthbearertoken",
"name": "OAuth Bearer Token",
"primary": true
}
]
}
نافذة طرفيّة
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/ServiceProviderConfig"

GET /scim/v2/ResourceTypes

المصادقة: لا يوجد: تتم مصادقة الطلب بالتوقيع الموضح أعلاه.

الحالة الوصف
200 Supported resource types (User, Group).

مثال 200

{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 2,
"Resources": [
{
"id": "User",
"name": "User",
"endpoint": "/Users",
"schema": "urn:ietf:params:scim:schemas:core:2.0:User"
},
{
"id": "Group",
"name": "Group",
"endpoint": "/Groups",
"schema": "urn:ietf:params:scim:schemas:core:2.0:Group"
}
]
}
نافذة طرفيّة
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/ResourceTypes"

GET /scim/v2/Schemas

المصادقة: لا يوجد: تتم مصادقة الطلب بالتوقيع الموضح أعلاه.

الحالة الوصف
200 Supported schemas.

مثال 200

{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 2,
"Resources": [
{
"id": "urn:ietf:params:scim:schemas:core:2.0:User",
"name": "User",
"description": "User Account"
},
{
"id": "urn:ietf:params:scim:schemas:core:2.0:Group",
"name": "Group",
"description": "Group"
}
]
}
نافذة طرفيّة
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/Schemas"

GET /scim/v2/Users

المصادقة: رمز SCIM: Authorization: Bearer <token>

الاسم الموضع النوع إلزامي الوصف
filter query string لا SCIM filter, for example userName eq "[email protected]". and is supported.
startIndex query integer لا
count query integer لا
الحالة الوصف
200 Users of the token’s tenant.
401 SCIM token missing, invalid, revoked or expired.

مثال 200

{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 1,
"startIndex": 1,
"itemsPerPage": 1,
"Resources": [
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"userName": "[email protected]",
"name": {
"givenName": "Jane",
"familyName": "Doe",
"formatted": "Jane Doe"
},
"displayName": "Jane Doe",
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true,
"meta": {
"resourceType": "User",
"location": "/scim/v2/Users/[email protected]"
}
}
]
}
نافذة طرفيّة
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN"

POST /scim/v2/Users

المصادقة: رمز SCIM: Authorization: Bearer <token>

application/scim+json

الاسم النوع إلزامي الوصف
schemas array<string> نعم
id string لا
externalId string \ null لا
userName string نعم
name object لا
name.givenName string لا
name.familyName string لا
name.formatted string لا
displayName string لا
emails array<object> لا
emails[].value string (email) لا
emails[].type string لا
emails[].primary boolean لا
active boolean لا
userType string لا
title string \ null لا
locale string \ null لا
timezone string \ null لا
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User object لا
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.employeeNumber string \ null لا
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.department string \ null لا
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.manager object \ null لا
meta object لا
meta.resourceType string لا
meta.created string \ null (date-time) لا
meta.lastModified string \ null (date-time) لا
meta.location string لا
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"userName": "[email protected]",
"externalId": "00u1a2b3c4D5e6F7g8h9",
"name": {
"givenName": "Jane",
"familyName": "Doe"
},
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true
}
الحالة الوصف
201 User created.
400 Invalid SCIM request.
401 SCIM token missing, invalid, revoked or expired.
409 A user with this userName already exists.

مثال 201

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"externalId": "00u1a2b3c4D5e6F7g8h9",
"userName": "[email protected]",
"name": {
"givenName": "Jane",
"familyName": "Doe",
"formatted": "Jane Doe"
},
"displayName": "Jane Doe",
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true,
"userType": "User",
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "E-10442",
"department": "Finance",
"manager": null
},
"meta": {
"resourceType": "User",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Users/[email protected]"
}
}
نافذة طرفيّة
curl -X POST "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN" \
-H "Content-Type: application/scim+json" \
--data '{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User"],"userName":"[email protected]","externalId":"00u1a2b3c4D5e6F7g8h9","name":{"givenName":"Jane","familyName":"Doe"},"emails":[{"value":"[email protected]","type":"work","primary":true}],"active":true}'

GET /scim/v2/Users/{id}

المصادقة: رمز SCIM: Authorization: Bearer <token>

الاسم الموضع النوع إلزامي الوصف
id المسار string نعم
الحالة الوصف
200 User.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.

مثال 200

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"externalId": "00u1a2b3c4D5e6F7g8h9",
"userName": "[email protected]",
"name": {
"givenName": "Jane",
"familyName": "Doe",
"formatted": "Jane Doe"
},
"displayName": "Jane Doe",
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true,
"userType": "User",
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "E-10442",
"department": "Finance",
"manager": null
},
"meta": {
"resourceType": "User",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Users/[email protected]"
}
}
نافذة طرفيّة
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN"

PUT /scim/v2/Users/{id}

المصادقة: رمز SCIM: Authorization: Bearer <token>

الاسم الموضع النوع إلزامي الوصف
id المسار string نعم

application/scim+json

الاسم النوع إلزامي الوصف
schemas array<string> نعم
id string لا
externalId string \ null لا
userName string نعم
name object لا
name.givenName string لا
name.familyName string لا
name.formatted string لا
displayName string لا
emails array<object> لا
emails[].value string (email) لا
emails[].type string لا
emails[].primary boolean لا
active boolean لا
userType string لا
title string \ null لا
locale string \ null لا
timezone string \ null لا
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User object لا
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.employeeNumber string \ null لا
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.department string \ null لا
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.manager object \ null لا
meta object لا
meta.resourceType string لا
meta.created string \ null (date-time) لا
meta.lastModified string \ null (date-time) لا
meta.location string لا
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"externalId": "00u1a2b3c4D5e6F7g8h9",
"userName": "[email protected]",
"name": {
"givenName": "Jane",
"familyName": "Doe",
"formatted": "Jane Doe"
},
"displayName": "Jane Doe",
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true,
"userType": "User",
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "E-10442",
"department": "Finance",
"manager": null
},
"meta": {
"resourceType": "User",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Users/[email protected]"
}
}
الحالة الوصف
200 User replaced.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.

مثال 200

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"externalId": "00u1a2b3c4D5e6F7g8h9",
"userName": "[email protected]",
"name": {
"givenName": "Jane",
"familyName": "Doe",
"formatted": "Jane Doe"
},
"displayName": "Jane Doe",
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true,
"userType": "User",
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "E-10442",
"department": "Finance",
"manager": null
},
"meta": {
"resourceType": "User",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Users/[email protected]"
}
}
نافذة طرفيّة
curl -X PUT "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN" \
-H "Content-Type: application/scim+json" \
--data '{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User"],"id":"[email protected]","externalId":"00u1a2b3c4D5e6F7g8h9","userName":"[email protected]","name":{"givenName":"Jane","familyName":"Doe","formatted":"Jane Doe"},"displayName":"Jane Doe","emails":[{"value":"[email protected]","type":"work","primary":true}],"active":true,"userType":"User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"employeeNumber":"E-10442","department":"Finance","manager":null},"meta":{"resourceType":"User","created":"2026-11-01T08:00:00.000Z","lastModified":"2026-11-01T08:00:00.000Z","location":"/scim/v2/Users/[email protected]"}}'

PATCH /scim/v2/Users/{id}

Supports add, replace and remove operations, for example deactivating with {"op":"replace","path":"active","value":false}.

المصادقة: رمز SCIM: Authorization: Bearer <token>

الاسم الموضع النوع إلزامي الوصف
id المسار string نعم

application/scim+json

الاسم النوع إلزامي الوصف
schemas array<string> لا
Operations array<object> نعم
Operations[].op string (add, replace, remove, Add, Replace, Remove) نعم
Operations[].path string لا
Operations[].value لا
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:PatchOp"
],
"Operations": [
{
"op": "replace",
"path": "active",
"value": false
}
]
}
الحالة الوصف
200 User updated.
400 Invalid SCIM request.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.

مثال 200

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"externalId": "00u1a2b3c4D5e6F7g8h9",
"userName": "[email protected]",
"name": {
"givenName": "Jane",
"familyName": "Doe",
"formatted": "Jane Doe"
},
"displayName": "Jane Doe",
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true,
"userType": "User",
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "E-10442",
"department": "Finance",
"manager": null
},
"meta": {
"resourceType": "User",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Users/[email protected]"
}
}
نافذة طرفيّة
curl -X PATCH "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN" \
-H "Content-Type: application/scim+json" \
--data '{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"replace","path":"active","value":false}]}'

حذف مستخدم (إلغاء التزويد)

Section titled “حذف مستخدم (إلغاء التزويد)”

DELETE /scim/v2/Users/{id}

المصادقة: رمز SCIM: Authorization: Bearer <token>

الاسم الموضع النوع إلزامي الوصف
id المسار string نعم
الحالة الوصف
204 User deprovisioned.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.
نافذة طرفيّة
curl -X DELETE "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN"

GET /scim/v2/Groups

المصادقة: رمز SCIM: Authorization: Bearer <token>

الاسم الموضع النوع إلزامي الوصف
filter query string لا SCIM filter, for example userName eq "[email protected]". and is supported.
startIndex query integer لا
count query integer لا
الحالة الوصف
200 Groups of the token’s tenant.
401 SCIM token missing, invalid, revoked or expired.

مثال 200

{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 1,
"startIndex": 1,
"itemsPerPage": 1,
"Resources": [
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"id": "grp_service_desk_l1",
"displayName": "Service Desk L1",
"members": [
{
"value": "[email protected]",
"type": "User",
"display": "[email protected]"
}
],
"meta": {
"resourceType": "Group",
"location": "/scim/v2/Groups/grp_service_desk_l1"
}
}
]
}
نافذة طرفيّة
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/Groups" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN"

POST /scim/v2/Groups

المصادقة: رمز SCIM: Authorization: Bearer <token>

application/scim+json

الاسم النوع إلزامي الوصف
schemas array<string> نعم
id string لا
displayName string نعم
externalId string \ null لا
members array<object> لا
members[].value string نعم
members[].type string لا
members[].display string لا
meta object لا
meta.resourceType string لا
meta.created string \ null (date-time) لا
meta.lastModified string \ null (date-time) لا
meta.location string لا
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"displayName": "Service Desk L1",
"members": [
{
"value": "[email protected]"
}
]
}
الحالة الوصف
201 Group created.
400 Invalid SCIM request.
401 SCIM token missing, invalid, revoked or expired.

مثال 201

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"id": "grp_service_desk_l1",
"displayName": "Service Desk L1",
"externalId": null,
"members": [
{
"value": "[email protected]",
"type": "User",
"display": "[email protected]"
}
],
"meta": {
"resourceType": "Group",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Groups/grp_service_desk_l1"
}
}
نافذة طرفيّة
curl -X POST "https://exocortex-api.ai-exo-cortex.com/scim/v2/Groups" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN" \
-H "Content-Type: application/scim+json" \
--data '{"schemas":["urn:ietf:params:scim:schemas:core:2.0:Group"],"displayName":"Service Desk L1","members":[{"value":"[email protected]"}]}'

GET /scim/v2/Groups/{id}

المصادقة: رمز SCIM: Authorization: Bearer <token>

الاسم الموضع النوع إلزامي الوصف
id المسار string نعم
الحالة الوصف
200 Group.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.

مثال 200

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"id": "grp_service_desk_l1",
"displayName": "Service Desk L1",
"externalId": null,
"members": [
{
"value": "[email protected]",
"type": "User",
"display": "[email protected]"
}
],
"meta": {
"resourceType": "Group",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Groups/grp_service_desk_l1"
}
}
نافذة طرفيّة
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/Groups/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN"

PATCH /scim/v2/Groups/{id}

المصادقة: رمز SCIM: Authorization: Bearer <token>

الاسم الموضع النوع إلزامي الوصف
id المسار string نعم

application/scim+json

الاسم النوع إلزامي الوصف
schemas array<string> لا
Operations array<object> نعم
Operations[].op string (add, replace, remove, Add, Replace, Remove) نعم
Operations[].path string لا
Operations[].value لا
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:PatchOp"
],
"Operations": [
{
"op": "add",
"path": "members",
"value": [
{
"value": "[email protected]"
}
]
}
]
}
الحالة الوصف
200 Group updated.
400 Invalid SCIM request.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.

مثال 200

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"id": "grp_service_desk_l1",
"displayName": "Service Desk L1",
"externalId": null,
"members": [
{
"value": "[email protected]",
"type": "User",
"display": "[email protected]"
}
],
"meta": {
"resourceType": "Group",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Groups/grp_service_desk_l1"
}
}
نافذة طرفيّة
curl -X PATCH "https://exocortex-api.ai-exo-cortex.com/scim/v2/Groups/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN" \
-H "Content-Type: application/scim+json" \
--data '{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"members","value":[{"value":"[email protected]"}]}]}'

DELETE /scim/v2/Groups/{id}

المصادقة: رمز SCIM: Authorization: Bearer <token>

الاسم الموضع النوع إلزامي الوصف
id المسار string نعم
الحالة الوصف
204 Group deleted.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.
نافذة طرفيّة
curl -X DELETE "https://exocortex-api.ai-exo-cortex.com/scim/v2/Groups/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN"

صفحة مُنشأة من مواصفة OpenAPI لواجهة التكامل، الإصدار 1.1.0.